# Loan program object

Loan Program objects represent the configuration for loan programs in your platform. They define settings for loan purchases, auto-selling, and account configurations. You cannot create new loan programs on your own. Please work with your Column team / Solution Engineer to create loan programs for your platform based on your Column use cases. [Read more](/lending).

### Object Parameters

- `auto_sell` `boolean` — Indicates if seasoned principals/interests should be automatically sold to your platform
- `auto_sell_business_day_only` `boolean` — Whether auto-sell only occurs on business days
- `close_after_sale` `boolean` — Indicates if loans that are not revolving should be closed after automatic sale. [Read more](/lending/sale).
- `collection_account_number_id` `string` — Default account number ID of your platform to deposit loan payments belonging to your platform in this loan program
- `created_at` `date-time` — The timestamp when the loan program was created
- `default_interest_config_id` `string` — ID of the default interest configuration for this loan program
- `description` `string` — The description of the loan program
- `id` `string` — The ID of the loan program
- `is_business_seasoning_days` `boolean` — Indicates if the default `seasoning_days` are business days or calendar days
- `is_revolving` `boolean` — Indicates if loans in this loan program are revolving
- `max_days_to_purchase` `integer` — Maximum number of calendar days for seasoned principals/interests to be purchased by your platform
- `purchase_funding_account_number_id` `string` — Default account number ID for your platform to fund loan purchases in this loan program
- `retained_by_column` `boolean` — Indicates if loans in this loan program are retained by Column
- `seasoning_days` `integer` — Default number of seasoning days for loans in this loan program
- `updated_at` `date-time` — The timestamp when the loan program was last updated

**Response 200**

```json
{
  "auto_sell": true,
  "auto_sell_business_day_only": true,
  "close_after_sale": false,
  "collection_account_number_id": "acno_2zI1Da9Ro0dvk6HT2gla1H0UTyS",
  "created_at": "2025-06-01T12:00:00Z",
  "default_interest_config_id": "icfg_2zI2JlS7Fg5vREXIbKS1qZgE73b",
  "description": "Consumer installment loans",
  "id": "lpgm_2zI2JlS7Fg5vREXIbKS1qZgE73b",
  "is_business_seasoning_days": true,
  "is_revolving": false,
  "max_days_to_purchase": 5,
  "purchase_funding_account_number_id": "acno_2zI1Da9Ro0dvk6HT2gla1H0UTyS",
  "retained_by_column": false,
  "seasoning_days": 10,
  "updated_at": "2025-06-15T08:30:00Z"
}
```
